
//THIS SCRIPT CREATES THE POINT SPHERES. IF THE PLAYER HAS CHOSEN AN EASY LEVEL ALL THE 
//SPHERES WILL BE CREATED ALLOWING THEM TO EASILY GET POINTS.
//IF THE PLAYER HAS CHOSEN THE DIFFICULT LEVEL ONLY EVERY TWO SPHERES WILL BE CREATED SO THERE
//WILL BE LESS CHANCES TO GET POINTS

var sfaira: GameObject;
var k:int = 1;
 
function Start()
{
	if (GUIButton.levelflag==1)
	{
		Debug.Log("levelflag=difficult");
		k=2;
	}
	
     var aPositions : Array = [ new Vector3(10, 2, 0),
										new Vector3(12, 2, 0),
										new Vector3(30, 4, 0),
										new Vector3(32, 4, 0),
										new Vector3(17, 18 ,0),
										new Vector3(19, 18 ,0),
										new Vector3(30, 18 ,0),
										new Vector3(32, 18 ,0)
                                      ];
 
     var rot : Quaternion = Quaternion.identity;
 
    
     for(i=0; i<aPositions.length; i=i+k)
     { 
		  var mysphere = Instantiate(sfaira, aPositions[i], rot); 
		  mysphere.name = "pointsphere";
     }
}


function Update()
{
}